# DaprProtos.GetBulkSecretRequestOrBuilder (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: DaprProtos, interface: GetBulkSecretRequestOrBuilder

Package io.dapr.v1

# Interface DaprProtos.GetBulkSecretRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetBulkSecretRequest`, `DaprProtos.GetBulkSecretRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetBulkSecretRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to secret store components.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to secret store components.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to secret store components.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to secret store components.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to secret store components.
`String`
`getStoreName()`
The name of secret store.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
The name of secret store.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStoreName

String getStoreName()

     The name of secret store.

`string store_name = 1 [json_name = "storeName"];`

Returns:
  The storeName.

### getStoreNameBytes

com.google.protobuf.ByteString getStoreNameBytes()

     The name of secret store.

`string store_name = 1 [json_name = "storeName"];`

Returns:
  The bytes for storeName.

### getMetadataCount

int getMetadataCount()

     The metadata which will be sent to secret store components.

`map<string, string> metadata = 2;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be sent to secret store components.

`map<string, string> metadata = 2;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be sent to secret store components.

`map<string, string> metadata = 2;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to secret store components.

`map<string, string> metadata = 2;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be sent to secret store components.

`map<string, string> metadata = 2;`